MSGFMT(1)

NOM
msgfmt — Compiler un catalogue de messages vers un format binaire

SYNOPSIS
msgfmt [OPTION] nom_fichier.po ...

DESCRIPTION

Cet utilitaire permet de générer un catalogue de messages binaire à partir d’un catalogue de traductions au format texte.

Les arguments obligatoires des options de forme longue le sont aussi pour les options de forme courte. Même remarque pour les arguments facultatifs.

  Emplacement du fichier d'entrée :

nom_fichier.po ...
    fichiers d'entrée

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée

Si le fichier d'entrée est « - », c'est l'entrée standard qui est lue.

  Mode opératoire :

-j, --java
    mode Java : générer une classe Java ResourceBundle

--java2
    comme --java, mais supposer la présence de Java2 (JDK version 1.2 ou supérieure)

--csharp
    mode C# : générer un fichier .dll .NET

--csharp-resources
    mode ressources C# : générer un fichier .resources .NET

--tcl
    mode Tcl : générer un fichier .msg tcl/msgcat

--qt
    mode Qt : générer un fichier .qm Qt

--desktop
    mode entrée desktop : générer un fichier .desktop

--xml
    mode XML : générer un fichier XML

  Emplacement du fichier de sortie :

-o, --output-file=FICHIER_SORTIE
    écrire la sortie dans le fichier spécifié

--strict
    activer le mode Uniforum strict

Si le fichier de sortie est -, le résultat sera écrit sur la sortie standard.

  Emplacement du fichier de sortie en mode Java :

-r, --resource=RESSOURCE
    nom ressource

-l, --locale=PARAMÈTRES_RÉGIONAUX
    PARAMÈTRES_RÉGIONAUX sous la forme « langue » ou « langue_PAYS »

--source
    produire un fichier .java au lieu d’un fichier .class

-d RÉPERTOIRE
    répertoire racine de la hiérarchie des répertoires de classes

Le nom de la classe est généré en ajoutant le nom des paramètres régionaux au nom de ressource, séparés par un caractère de soulignement. L’option -d est obligatoire et la classe sera enregistrée dans le répertoire spécifié.

  Emplacement du fichier de sortie en mode C# :

-r, --resource=RESSOURCE
    nom ressource

-l, --locale=PARAMÈTRES_RÉGIONAUX
    PARAMÈTRES_RÉGIONAUX sous la forme « langue » ou « langue_PAYS »

-d RÉPERTOIRE
    RÉPERTOIRE racine des fichiers .dll dépendant des paramètres régionaux

Les options -l et -d sont obligatoires. Le fichier .dll est enregistré dans un sous-répertoire du répertoire spécifié dont le nom dépend des paramètres régionaux.

  Emplacement du fichier de sortie en mode Tcl

-l, --locale=PARAMÈTRES_RÉGIONAUX
    PARAMÈTRES_RÉGIONAUX sous la forme « langue » ou « langue_PAYS »

-d RÉPERTOIRE
    RÉPERTOIRE racine des catalogues de messages .msg

Les options -l et -d sont obligatoires. Le fichier .msg est enregistré dans le répertoire spécifié.

  Options du mode entrée desktop :

-l, --locale=PARAMÈTRES_RÉGIONAUX
    PARAMÈTRES_RÉGIONAUX sous la forme « langue » ou « langue_PAYS »

-o, --output-file=FICHIER_SORTIE
    écrire la sortie dans le fichier spécifié

--template=MODÈLE
    un fichier .desktop utilisé comme modèle

-d RÉPERTOIRE
    répertoire racine des fichiers .po

-kWORD, --keyword=MOT_CLÉ
    rechercher le MOT_CLÉ spécifié comme un mot-clé additionnel

-k, --keyword
    ne pas utiliser de mots-clés par défaut

Les options -l, -o et --template sont obligatoires. Si l’option -D est spécifiée, les fichiers d’entrée sont lus depuis le répertoire qu’elle spécifie, plutôt que depuis ceux spécifiés à l’aide des arguments de la ligne de commande.

  Options du mode XML :

-l, --locale=PARAMÈTRES_RÉGIONAUX
    PARAMÈTRES_RÉGIONAUX sous la forme « langue » ou « langue_PAYS »

-L, --language=LANGAGE
    reconnaître le LANGAGE XML spécifié

-o, --output-file=FICHIER_SORTIE
    écrire la sortie dans le fichier spécifié

--template=MODÈLE
    un fichier XML utilisé comme modèle

-d RÉPERTOIRE
    répertoire racine des fichiers .po

--replace-text
    produire du XML avec le texte traduit remplaçant le texte originel sans augmenter le texte originel

Les options -l, -o et --template sont obligatoires. Si l’option -D est spécifiée, les fichiers d’entrée sont lus depuis le répertoire qu’elle spécifie, plutôt que depuis ceux spécifiés à l’aide des arguments de la ligne de commande.

  Syntaxe du fichier d'entrée :

-P, --properties-input
    les fichiers d'entrée ont la syntaxe .properties de Java

--stringtable-input
    les fichiers d'entrée ont la syntaxe .strings de NeXTstep/GNUstep

  Interprétation du fichier d’entrée :

-c, --check
    effectuer toutes les vérifications qu’impliquent les options --check-format, --check-header et --check-domain

--check-format
    vérifier les chaînes de format dépendant du langage

--check-header
    vérifier la présence et le contenu de l’entrée d’en-tête

--check-domain
    détecter les conflits entre les directives de domaine et l’option --output-file

-C, --check-compatibility
    vérifier que GNU msgfmt se comporte comme X/Open msgfmt

--check-accelerators[=CAR]
    vérifier la présence de raccourcis clavier pour les items de menu

-f, --use-fuzzy
    utiliser les entrées non à jour dans la sortie

  Présentation de la sortie :

--no-convert
    ne pas convertir l’encodage des messages en UTF-8

--no-redundancy
    ne pas pré-développer les macros des directives de chaîne de format ISO C 99 <inttypes.h>

-a, --alignment=NOMBRE
    aligner les chaînes à NOMBRE octets (par défaut 1)

--endianness=ORDRE_DES_OCTETS
    écrire les nombres sur 32 bits en sortie selon l’ORDRE_DES_OCTETS spécifié (gros ou petit-boutiste, la valeur par défaut dépendant de la plateforme)

--no-hash
    ne pas inclure la table de hachage dans le fichier binaire

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

--statistics
    afficher des statistiques à propos des traductions

-v, --verbose
    augmenter le niveau de détail

AUTEUR
Écrit par Ulrich Drepper.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 1995-2025 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msgfmt est disponible dans un manuel Texinfo. Si les programmes info et msgfmt sont correctement installés, la commande

    info msgfmt

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.